import React, {useState} from 'react';
import TinderCard from 'react-tinder-card';
import './Tinder.css'

const db = [
    {
      name: 'Richard Hendricks',
      url: './img/richard.jpg'
    },
    {
      name: 'Erlich Bachman',
      url: './img/erlich.jpg'
    },
    {
      name: 'Monica Hall',
      url: './img/monica.jpg'
    },
    {
      name: 'Jared Dunn',
      url: './img/jared.jpg'
    },
    {
      name: 'Dinesh Chugtai',
      url: './img/dinesh.jpg'
    }
  ]

  const Tinder = () => {
    const characters = db;
    const [lastDirection, setLastDirection] = useState();
  
    const swiped = (direction, nameToDelete) => {
      console.log('removing: ' + nameToDelete);
      setLastDirection(direction);
    };
  
    const outOfFrame = (name) => {
      console.log(name + ' left the screen!');
    };
  
    return (
      <div className='tinder-container'>
        {/* <div style={{
            display: 'flex',
            flexDirection: 'column',
            height: '100%',
            width: '100%',
            alignContent: 'center',
            flexWrap: 'wrap',
            justifyContent: 'space-evenly',
            alignItems: 'center',
            background: 'white',
        }}> */}
            <h1>Card</h1>
            <div className='card-container'>
            {characters.map((character) => (
                <TinderCard
                className='swipe'
                key={character.name}
                onSwipe={(dir) => swiped(dir, character.name)}
                onCardLeftScreen={() => outOfFrame(character.name)}
                >
                <div className='card'>
                    <div
                    className='card-content'
                    style={{ backgroundImage: `url(${character.url})` }}
                    >
                    <h3>{character.name}</h3>
                    </div>
                </div>
                </TinderCard>
            ))}
            </div>
            {lastDirection ? (
            <h2 className='infoText'>You swiped {lastDirection}</h2>
            ) : (
            <h2 className='infoText' />
            )}
        </div>
    //   </div>
    );
  };
  
  export default Tinder;